Page MenuHomePhabricator

cloudvps: math project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the math project needs to upgrade as soon as possible.

The list of affected VMs is:

  • drmf-beta.math.eqiad.wmflabs
  • drmf.math.eqiad.wmflabs
  • mathoid2.math.eqiad.wmflabs
  • math-ru.math.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/math

Event Timeline

Krenair triaged this task as Medium priority.Sep 17 2018, 12:39 PM
Krenair created this task.

Hey @Andreg-p @coren @Hcohl @mobrovac @mschwarzer @Physikerwelt! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help. Also please assign this task to an individual.

Krenair updated the task description. (Show Details)Oct 22 2018, 1:39 PM

Another ping. Deadline is next month (2018-12-18) and we saw no movements here since September.

The cluster was upgraded today. I still could not identify a way to upgrade the nodes to a new OS. Is there a guide on how to do this?

bd808 added a comment.Nov 30 2018, 9:26 PM

The cluster was upgraded today. I still could not identify a way to upgrade the nodes to a new OS. Is there a guide on how to do this?

There is no in-place upgrade migration path from a Ubuntu Trusty deployment to a Debian Stretch (or Jessie) deployment. The migration path for instances is to create a new instance using a Debian Stretch base image, copy over any data or configuration needed from the old instance, and finally shut the old instance down.

maybe this is the moment to dockerize things...

https://dockertest.wmflabs.org is the first proof of concept based on @Addshore's container ... I just added ,*.wmflabs.org to VIRTUAL_HOST and created a dockertest site with the addsite script. The only issue that occurred is that dashes are not supported as site/database names.

Physikerwelt moved this task from Incoming to Doing on the Math board.Dec 1 2018, 3:52 PM

Ping. Today is Friday and the deadline is Tuesday.

@Physikerwelt Today is the deadline.

I have backed up all the data. The remaining open question is how to proceed with the mathoid service cf. T156289

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

Physikerwelt added a comment.EditedDec 29 2018, 4:25 PM

There are a few remaining services to be moved.

Most of them are nodejs apps... @Andreg-p I will convert them to docker containers following https://nodejs.org/en/docs/guides/nodejs-docker-webapp/ we will see how this will work out

I made little progress because I ran into T212710 and other bugs.

This comment was removed by Physikerwelt.

The remaining trusty instances should be shut down today

Moving the services (as in the list above) is idenpenend of the existence of the old instances. I guess there are not too many users accessing the not yet migrated services. I have backed up everything on Dec 20 and never accessed the instances since then.

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:21:48Z] <arturo> T204509 shutdown ubuntu iamges: drmf-beta, drmf, mathoid2, math-ru

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:22:17Z] <arturo> T204509 shutdown ubuntu *VM instances*: drmf-beta, drmf, mathoid2, math-ru

Mentioned in SAL (#wikimedia-cloud) [2019-02-05T17:18:03Z] <arturo> T204509 shutting down again drmf-beta and drmf

aborrero closed this task as Resolved.Feb 12 2019, 4:31 PM
Krenair reopened this task as Open.Mar 1 2019, 12:10 AM

@aborrero: drmf is running

@aborrero: drmf is running

I believe the instance was running because our workload movements of the past weeks. I just stopped the VM again. Will be deleted soon anyway.

Thanks for the heads up.

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:13:53Z] <bd808> Deleted drmf, math-ru, mathoid2 (T204509)

bd808 closed this task as Resolved.Mar 14 2019, 11:14 PM